Bug 214817 - ONBOOT=no device gets called __tmpXXXXXX
ONBOOT=no device gets called __tmpXXXXXX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2006-11-09 11:53 EST by Bastien Nocera
Modified: 2014-03-16 23:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-01 09:13:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ifcfg-eth0 (149 bytes, text/plain)
2006-11-09 11:54 EST, Bastien Nocera
no flags Details
ifcfg-eth1 (215 bytes, text/plain)
2006-11-09 11:55 EST, Bastien Nocera
no flags Details
ifcfg-eth2 (165 bytes, text/plain)
2006-11-09 11:58 EST, Bastien Nocera
no flags Details

  None (edit)
Description Bastien Nocera 2006-11-09 11:53:35 EST
RHEL5 Milestone 8 (1027 tree)

After bootup, eth0 (which has ONBOOT=no) is called "__tmp1804289383"

$ ifconfig  | grep Link
__tmp1804289383 Link encap:Ethernet  HWaddr 00:02:55:AF:16:B5  
eth1      Link encap:Ethernet  HWaddr 00:02:55:2F:85:F2  
eth2      Link encap:Ethernet  HWaddr 00:02:55:2F:85:F3  
lo        Link encap:Local Loopback  
sit0      Link encap:IPv6-in-IPv4  

ifcfg-* attached below.

$ cat /etc/modprobe.conf  | grep eth
alias eth0 e100
alias eth1 e1000
alias eth2 e1000
Comment 1 Bastien Nocera 2006-11-09 11:54:33 EST
Created attachment 140791 [details]

Comment 2 Bastien Nocera 2006-11-09 11:55:22 EST
Created attachment 140792 [details]

Comment 3 Bastien Nocera 2006-11-09 11:58:12 EST
Created attachment 140793 [details]

Comment 4 Bill Nottingham 2006-11-09 12:00:13 EST
Are there any ifcfg-ethX.bak files?
Comment 5 RHEL Product and Program Management 2006-11-09 12:00:42 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 6 Bastien Nocera 2006-11-09 12:06:07 EST
(In reply to comment #4)
> Are there any ifcfg-ethX.bak files?

Nope. No backup files.
Comment 7 Bill Nottingham 2006-11-09 12:17:22 EST
Just to make sure, 8.45.9.EL-1 behaves the same?

Is this consistent on every boot?
Comment 8 Bastien Nocera 2006-11-09 12:26:31 EST
(In reply to comment #7)
> Just to make sure, 8.45.9.EL-1 behaves the same?

No idea, will ask.

> Is this consistent on every boot?

Comment 13 Bill Nottingham 2006-11-28 19:26:49 EST
Should be fixed in 8.45.10.EL-1.
Comment 14 Bill Nottingham 2006-11-28 20:31:19 EST
Test packages at http://people.redhat.com/notting/214817/
Comment 16 Jay Turner 2006-12-01 07:52:13 EST
QE ack for RHEL5.
Comment 17 Jay Turner 2006-12-01 07:54:54 EST
Closing out, as initscripts-8.45.10.EL-1.1 is included in the latest RHEL5 builds.

Note You need to log in before you can comment on or make changes to this bug.